KNetwork::KSocketDeviceFactory< Impl > Class Template Reference

`#include <ksocketdevice.h>`

Inherits KNetwork::KSocketDeviceFactoryBase.

## Public Member Functions

virtual KSocketDevice * | create (KSocketBase *parent) const

## Detailed Description

### template<class Impl>
class KNetwork::KSocketDeviceFactory< Impl >

This class provides functionality for creating and registering socket implementations.

Definition at line 416 of file ksocketdevice.h.

The documentation for this class was generated from the following file:

- ksocketdevice.h

KDE Home | KDE Accessibility Home | Description of Access Keys